
Foreman - Feature #1576

Implement oauth authentication and authorization

04/18/2012 04:46 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Plugin integration   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

To fully integrate Katello, Foreman API must be accessible with oauth. Once oauth is enabled in the Foreman configuration and

secret and token is given, Foreman should authenticate all requests with valid oauth and automatically authorize those requests as

"admin". Separate role can be used for this, but all permission must be given. Katello is expected to be able to do anything.

Related issues:

Related to Foreman - Feature #1301: Consider adding a per-user API key Closed

Associated revisions

Revision fceb1f89 - 07/26/2012 08:10 AM - Petr Chalupa

fixes #1576 - api v1 - oauth support

to use set and enable oauth in settings

correcting typo

History

#1 - 04/18/2012 05:20 AM - Lukas Zapletal

We will be sending HTTP header called "foreman-user" set to the current logged Katello user. Once user is created in Katello, we will create it also in

Foreman via API. So it is possible to work also "on behalf" of a user.

#2 - 07/24/2012 04:13 AM - Ohad Levy

- Target version set to 1.1

#3 - 07/26/2012 08:47 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset fceb1f895c20019ad71863d23316a446c216845e.

#4 - 02/13/2014 09:07 AM - Dominic Cleal

- Related to Feature #1301: Consider adding a per-user API key added

#5 - 03/16/2020 03:10 PM - Tomer Brisker

- Category changed from 47 to Plugin integration
